#include "BUILTIN.h"

static OBJ passv[MAXRANK];
static OBJ (*var_method_vec1)(OBJ Param, int argc, OBJ argv[]);
static OBJ var_method_1_1(OBJ Param,OBJ Arg1){
  passv[0] = Arg1;
  return (*var_method_vec1)(Param, 1, passv);
}
static OBJ var_method_1_2(OBJ Param,OBJ Arg1,OBJ Arg2){
  passv[0] = Arg1;
  passv[1] = Arg2;
  return (*var_method_vec1)(Param, 2, passv);
}
static OBJ var_method_1_3(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  return (*var_method_vec1)(Param, 3, passv);
}
static OBJ var_method_1_4(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  return (*var_method_vec1)(Param, 4, passv);
}
static OBJ var_method_1_5(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  return (*var_method_vec1)(Param, 5, passv);
}
static OBJ var_method_1_6(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  return (*var_method_vec1)(Param, 6, passv);
}
static OBJ var_method_1_7(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  return (*var_method_vec1)(Param, 7, passv);
}
static OBJ var_method_1_8(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  return (*var_method_vec1)(Param, 8, passv);
}
static OBJ var_method_1_9(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  return (*var_method_vec1)(Param, 9, passv);
}
static OBJ var_method_1_10(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  return (*var_method_vec1)(Param, 10, passv);
}
static OBJ var_method_1_11(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  return (*var_method_vec1)(Param, 11, passv);
}
static OBJ var_method_1_12(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  return (*var_method_vec1)(Param, 12, passv);
}
static OBJ var_method_1_13(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  return (*var_method_vec1)(Param, 13, passv);
}
static OBJ var_method_1_14(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  return (*var_method_vec1)(Param, 14, passv);
}
static OBJ var_method_1_15(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  return (*var_method_vec1)(Param, 15, passv);
}
static OBJ var_method_1_16(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  return (*var_method_vec1)(Param, 16, passv);
}
static OBJ var_method_1_17(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  return (*var_method_vec1)(Param, 17, passv);
}
static OBJ var_method_1_18(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  return (*var_method_vec1)(Param, 18, passv);
}
static OBJ var_method_1_19(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  return (*var_method_vec1)(Param, 19, passv);
}
static OBJ var_method_1_20(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  return (*var_method_vec1)(Param, 20, passv);
}
static OBJ var_method_1_21(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  return (*var_method_vec1)(Param, 21, passv);
}
static OBJ var_method_1_22(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  return (*var_method_vec1)(Param, 22, passv);
}
static OBJ var_method_1_23(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  return (*var_method_vec1)(Param, 23, passv);
}
static OBJ var_method_1_24(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23,OBJ Arg24){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  passv[23] = Arg24;
  return (*var_method_vec1)(Param, 24, passv);
}
static CODE var_method_table1[] = {
  (CODE) var_method_1_1,
  (CODE) var_method_1_2,
  (CODE) var_method_1_3,
  (CODE) var_method_1_4,
  (CODE) var_method_1_5,
  (CODE) var_method_1_6,
  (CODE) var_method_1_7,
  (CODE) var_method_1_8,
  (CODE) var_method_1_9,
  (CODE) var_method_1_10,
  (CODE) var_method_1_11,
  (CODE) var_method_1_12,
  (CODE) var_method_1_13,
  (CODE) var_method_1_14,
  (CODE) var_method_1_15,
  (CODE) var_method_1_16,
  (CODE) var_method_1_17,
  (CODE) var_method_1_18,
  (CODE) var_method_1_19,
  (CODE) var_method_1_20,
  (CODE) var_method_1_21,
  (CODE) var_method_1_22,
  (CODE) var_method_1_23,
  (CODE) var_method_1_24,
};

static OBJ (*var_method_vec2)(OBJ Param, int argc, OBJ argv[]);
static OBJ var_method_2_1(OBJ Param,OBJ Arg1){
  passv[0] = Arg1;
  return (*var_method_vec2)(Param, 1, passv);
}
static OBJ var_method_2_2(OBJ Param,OBJ Arg1,OBJ Arg2){
  passv[0] = Arg1;
  passv[1] = Arg2;
  return (*var_method_vec2)(Param, 2, passv);
}
static OBJ var_method_2_3(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  return (*var_method_vec2)(Param, 3, passv);
}
static OBJ var_method_2_4(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  return (*var_method_vec2)(Param, 4, passv);
}
static OBJ var_method_2_5(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  return (*var_method_vec2)(Param, 5, passv);
}
static OBJ var_method_2_6(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  return (*var_method_vec2)(Param, 6, passv);
}
static OBJ var_method_2_7(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  return (*var_method_vec2)(Param, 7, passv);
}
static OBJ var_method_2_8(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  return (*var_method_vec2)(Param, 8, passv);
}
static OBJ var_method_2_9(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  return (*var_method_vec2)(Param, 9, passv);
}
static OBJ var_method_2_10(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  return (*var_method_vec2)(Param, 10, passv);
}
static OBJ var_method_2_11(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  return (*var_method_vec2)(Param, 11, passv);
}
static OBJ var_method_2_12(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  return (*var_method_vec2)(Param, 12, passv);
}
static OBJ var_method_2_13(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  return (*var_method_vec2)(Param, 13, passv);
}
static OBJ var_method_2_14(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  return (*var_method_vec2)(Param, 14, passv);
}
static OBJ var_method_2_15(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  return (*var_method_vec2)(Param, 15, passv);
}
static OBJ var_method_2_16(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  return (*var_method_vec2)(Param, 16, passv);
}
static OBJ var_method_2_17(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  return (*var_method_vec2)(Param, 17, passv);
}
static OBJ var_method_2_18(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  return (*var_method_vec2)(Param, 18, passv);
}
static OBJ var_method_2_19(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  return (*var_method_vec2)(Param, 19, passv);
}
static OBJ var_method_2_20(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  return (*var_method_vec2)(Param, 20, passv);
}
static OBJ var_method_2_21(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  return (*var_method_vec2)(Param, 21, passv);
}
static OBJ var_method_2_22(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  return (*var_method_vec2)(Param, 22, passv);
}
static OBJ var_method_2_23(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  return (*var_method_vec2)(Param, 23, passv);
}
static OBJ var_method_2_24(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23,OBJ Arg24){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  passv[23] = Arg24;
  return (*var_method_vec2)(Param, 24, passv);
}
static CODE var_method_table2[] = {
  (CODE) var_method_2_1,
  (CODE) var_method_2_2,
  (CODE) var_method_2_3,
  (CODE) var_method_2_4,
  (CODE) var_method_2_5,
  (CODE) var_method_2_6,
  (CODE) var_method_2_7,
  (CODE) var_method_2_8,
  (CODE) var_method_2_9,
  (CODE) var_method_2_10,
  (CODE) var_method_2_11,
  (CODE) var_method_2_12,
  (CODE) var_method_2_13,
  (CODE) var_method_2_14,
  (CODE) var_method_2_15,
  (CODE) var_method_2_16,
  (CODE) var_method_2_17,
  (CODE) var_method_2_18,
  (CODE) var_method_2_19,
  (CODE) var_method_2_20,
  (CODE) var_method_2_21,
  (CODE) var_method_2_22,
  (CODE) var_method_2_23,
  (CODE) var_method_2_24,
};

static OBJ (*var_method_vec3)(OBJ Param, int argc, OBJ argv[]);
static OBJ var_method_3_1(OBJ Param,OBJ Arg1){
  passv[0] = Arg1;
  return (*var_method_vec3)(Param, 1, passv);
}
static OBJ var_method_3_2(OBJ Param,OBJ Arg1,OBJ Arg2){
  passv[0] = Arg1;
  passv[1] = Arg2;
  return (*var_method_vec3)(Param, 2, passv);
}
static OBJ var_method_3_3(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  return (*var_method_vec3)(Param, 3, passv);
}
static OBJ var_method_3_4(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  return (*var_method_vec3)(Param, 4, passv);
}
static OBJ var_method_3_5(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  return (*var_method_vec3)(Param, 5, passv);
}
static OBJ var_method_3_6(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  return (*var_method_vec3)(Param, 6, passv);
}
static OBJ var_method_3_7(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  return (*var_method_vec3)(Param, 7, passv);
}
static OBJ var_method_3_8(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  return (*var_method_vec3)(Param, 8, passv);
}
static OBJ var_method_3_9(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  return (*var_method_vec3)(Param, 9, passv);
}
static OBJ var_method_3_10(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  return (*var_method_vec3)(Param, 10, passv);
}
static OBJ var_method_3_11(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  return (*var_method_vec3)(Param, 11, passv);
}
static OBJ var_method_3_12(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  return (*var_method_vec3)(Param, 12, passv);
}
static OBJ var_method_3_13(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  return (*var_method_vec3)(Param, 13, passv);
}
static OBJ var_method_3_14(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  return (*var_method_vec3)(Param, 14, passv);
}
static OBJ var_method_3_15(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  return (*var_method_vec3)(Param, 15, passv);
}
static OBJ var_method_3_16(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  return (*var_method_vec3)(Param, 16, passv);
}
static OBJ var_method_3_17(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  return (*var_method_vec3)(Param, 17, passv);
}
static OBJ var_method_3_18(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  return (*var_method_vec3)(Param, 18, passv);
}
static OBJ var_method_3_19(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  return (*var_method_vec3)(Param, 19, passv);
}
static OBJ var_method_3_20(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  return (*var_method_vec3)(Param, 20, passv);
}
static OBJ var_method_3_21(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  return (*var_method_vec3)(Param, 21, passv);
}
static OBJ var_method_3_22(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  return (*var_method_vec3)(Param, 22, passv);
}
static OBJ var_method_3_23(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  return (*var_method_vec3)(Param, 23, passv);
}
static OBJ var_method_3_24(OBJ Param,OBJ Arg1,OBJ Arg2,OBJ Arg3,OBJ Arg4,OBJ Arg5,OBJ Arg6,OBJ Arg7,OBJ Arg8,OBJ Arg9,OBJ Arg10,OBJ Arg11,OBJ Arg12,OBJ Arg13,OBJ Arg14,OBJ Arg15,OBJ Arg16,OBJ Arg17,OBJ Arg18,OBJ Arg19,OBJ Arg20,OBJ Arg21,OBJ Arg22,OBJ Arg23,OBJ Arg24){
  passv[0] = Arg1;
  passv[1] = Arg2;
  passv[2] = Arg3;
  passv[3] = Arg4;
  passv[4] = Arg5;
  passv[5] = Arg6;
  passv[6] = Arg7;
  passv[7] = Arg8;
  passv[8] = Arg9;
  passv[9] = Arg10;
  passv[10] = Arg11;
  passv[11] = Arg12;
  passv[12] = Arg13;
  passv[13] = Arg14;
  passv[14] = Arg15;
  passv[15] = Arg16;
  passv[16] = Arg17;
  passv[17] = Arg18;
  passv[18] = Arg19;
  passv[19] = Arg20;
  passv[20] = Arg21;
  passv[21] = Arg22;
  passv[22] = Arg23;
  passv[23] = Arg24;
  return (*var_method_vec3)(Param, 24, passv);
}
static CODE var_method_table3[] = {
  (CODE) var_method_3_1,
  (CODE) var_method_3_2,
  (CODE) var_method_3_3,
  (CODE) var_method_3_4,
  (CODE) var_method_3_5,
  (CODE) var_method_3_6,
  (CODE) var_method_3_7,
  (CODE) var_method_3_8,
  (CODE) var_method_3_9,
  (CODE) var_method_3_10,
  (CODE) var_method_3_11,
  (CODE) var_method_3_12,
  (CODE) var_method_3_13,
  (CODE) var_method_3_14,
  (CODE) var_method_3_15,
  (CODE) var_method_3_16,
  (CODE) var_method_3_17,
  (CODE) var_method_3_18,
  (CODE) var_method_3_19,
  (CODE) var_method_3_20,
  (CODE) var_method_3_21,
  (CODE) var_method_3_22,
  (CODE) var_method_3_23,
  (CODE) var_method_3_24,
};

static int free_table = 0;
CODE *ocs_alloc_var_method_table(OBJ (*method)(OBJ, int argc, OBJ argv[])){
  if (free_table >= NUMVARMETHODTABLES)
      HLT("<RUNTIME>: no more variadic method tables");
  free_table++;
  switch(free_table){
    case 1: var_method_vec1 = method;
             return var_method_table1;
    case 2: var_method_vec2 = method;
             return var_method_table2;
    case 3: var_method_vec3 = method;
             return var_method_table3;
  }
}
static OBJ var_eval_1(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ))METHOD(Clos,1))(Clos,
    argv[0]);
}
static OBJ var_eval_2(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ))METHOD(Clos,2))(Clos,
    argv[0],
    argv[1]);
}
static OBJ var_eval_3(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,3))(Clos,
    argv[0],
    argv[1],
    argv[2]);
}
static OBJ var_eval_4(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,4))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3]);
}
static OBJ var_eval_5(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,5))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4]);
}
static OBJ var_eval_6(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,6))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5]);
}
static OBJ var_eval_7(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,7))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6]);
}
static OBJ var_eval_8(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,8))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7]);
}
static OBJ var_eval_9(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,9))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8]);
}
static OBJ var_eval_10(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,10))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9]);
}
static OBJ var_eval_11(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,11))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10]);
}
static OBJ var_eval_12(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,12))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11]);
}
static OBJ var_eval_13(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,13))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12]);
}
static OBJ var_eval_14(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,14))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13]);
}
static OBJ var_eval_15(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,15))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14]);
}
static OBJ var_eval_16(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,16))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15]);
}
static OBJ var_eval_17(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,17))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16]);
}
static OBJ var_eval_18(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,18))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17]);
}
static OBJ var_eval_19(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,19))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18]);
}
static OBJ var_eval_20(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,20))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18],
    argv[19]);
}
static OBJ var_eval_21(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,21))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18],
    argv[19],
    argv[20]);
}
static OBJ var_eval_22(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,22))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18],
    argv[19],
    argv[20],
    argv[21]);
}
static OBJ var_eval_23(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,23))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18],
    argv[19],
    argv[20],
    argv[21],
    argv[22]);
}
static OBJ var_eval_24(OBJ Clos, OBJ argv[]){
  return (* (OBJ (*)(OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ,
    OBJ))METHOD(Clos,24))(Clos,
    argv[0],
    argv[1],
    argv[2],
    argv[3],
    argv[4],
    argv[5],
    argv[6],
    argv[7],
    argv[8],
    argv[9],
    argv[10],
    argv[11],
    argv[12],
    argv[13],
    argv[14],
    argv[15],
    argv[16],
    argv[17],
    argv[18],
    argv[19],
    argv[20],
    argv[21],
    argv[22],
    argv[23]);
}
static OBJ (*var_eval_table[])(OBJ Clos, OBJ argv[]) = {
  var_eval_1,
  var_eval_2,
  var_eval_3,
  var_eval_4,
  var_eval_5,
  var_eval_6,
  var_eval_7,
  var_eval_8,
  var_eval_9,
  var_eval_10,
  var_eval_11,
  var_eval_12,
  var_eval_13,
  var_eval_14,
  var_eval_15,
  var_eval_16,
  var_eval_17,
  var_eval_18,
  var_eval_19,
  var_eval_20,
  var_eval_21,
  var_eval_22,
  var_eval_23,
  var_eval_24,
};
OBJ ocs_var_eval(OBJ Clos, int argc, OBJ argv[]){
  return (*var_eval_table[argc-1])(Clos, argv);
}